Bug 242478 - Wrong init script
Wrong init script
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-utils (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Neil Horman
:
Depends On: 242477
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 10:09 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:02 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0690
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:36:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to correct irqblance exit codes (760 bytes, patch)
2007-06-04 10:50 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description Michal Marciniszyn 2007-06-04 10:09:59 EDT
+++ This bug was initially created as a clone of Bug #242477 +++

Description of problem:
The irqbalance init script contains several wrong return code constructions. For
example
[ `id -u` = 0 ] || exit 0
and several others. They not only return wrong codes but also prevent correct
invocation of status command.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 1 Neil Horman 2007-06-04 10:50:35 EDT
Created attachment 156081 [details]
patch to correct irqblance exit codes

I've updated the exit codes to reflect the LSB specification:
http://refspecs.freestandards.org/LSB_3.1.0/LSB-Core-generic/LSB-Core-generic/iniscrptact.html


Please test and ensure they pass your tests.  Thanks!
Comment 2 Neil Horman 2007-08-29 10:29:51 EDT
This is fixed for 4.7
Comment 3 RHEL Product and Program Management 2008-02-01 14:07:31 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 10 errata-xmlrpc 2008-07-24 15:36:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0690.html

Note You need to log in before you can comment on or make changes to this bug.